update subscription

Update the subscription.
If you update the frequency or count for a donation, the nextPayment will be recalculated
(unless you also update the nextPayment) based on the last donation or the date the
subscription was created.
If nextPayment is set to a time in the past, it will be set to the current time.
You may also set preferredDay to change the anchor day the donor is charged on. The
endpoint will recalculate nextPayment using the schedule engine and return
skippedForSafety as true in the response body when the safety gap advanced the charge
date by one full period. PayPal-backed subscriptions return HTTP 422 when preferredDay
is supplied.

For custom components:

RaiselyComponents.api.one('subscriptions', '{uuid}').patch(data = {}, params = {}, headers = {}) => Promise<{result}>

See Restie Response Data for a more detailed overview of responses through the client wrapper

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The uuid of the record

Query Params
boolean

Returns the full record when authenticated

Body Params

The subscription record to be updated

data
object
boolean

If passed, replace the existing public and private values on the record with the values provided with this payload

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json